> ## Documentation Index
> Fetch the complete documentation index at: https://developer.salesforge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update sender profile



## OpenAPI

````yaml /openapi/multichannel-publicapi.json patch /multichannel/workspaces/{workspaceID}/sender-profiles/{senderProfileID}
openapi: 3.1.0
info:
  description: >-
    Returns the current state of a LinkedIn account. Useful while polling a
    connection that is waiting on OTP.
  title: Multichannel Public API
  version: '1.0'
servers:
  - url: /public
security:
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
externalDocs:
  description: ''
  url: ''
paths:
  /multichannel/workspaces/{workspaceID}/sender-profiles/{senderProfileID}:
    patch:
      tags:
        - multichannel
      summary: Update sender profile
      parameters:
        - description: Workspace ID
          in: path
          name: workspaceID
          required: true
          schema:
            type: string
        - description: Sender profile ID
          in: path
          name: senderProfileID
          required: true
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              oneOf:
                - type: object
                - $ref: '#/components/schemas/requests.UpdateSenderProfileRequest'
                  summary: request
                  description: Update sender profile request
        description: Update sender profile request
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.SenderProfileResponse'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    requests.UpdateSenderProfileRequest:
      properties:
        mailboxIds:
          example:
            - mbox_123
            - mbox_456
          items:
            type: string
          type: array
          uniqueItems: false
        name:
          example: Public Sender Updated
          type: string
      type: object
    responses.SenderProfileResponse:
      properties:
        id:
          type: integer
        linkedinAccount:
          $ref: '#/components/schemas/responses.SenderProfileLinkedinAccountResponse'
        mailboxes:
          items:
            $ref: '#/components/schemas/responses.MailboxResponse'
          type: array
          uniqueItems: false
        name:
          type: string
        status:
          type: string
      type: object
    responses.ErrorResponse:
      properties:
        data: {}
        message:
          type: string
      type: object
    responses.SenderProfileLinkedinAccountResponse:
      properties:
        id:
          type: integer
        linkedinUrl:
          type: string
        name:
          type: string
        premium:
          type: boolean
        profilePictureUrl:
          type: string
        status:
          type: string
      type: object
    responses.MailboxResponse:
      properties:
        address:
          type: string
        id:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````